package com.sundot.airport.ledger.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sundot.airport.common.utils.DateUtils;
import com.sundot.airport.ledger.domain.LedgerLeaderDuty;
import com.sundot.airport.ledger.mapper.LedgerLeaderDutyMapper;
import com.sundot.airport.ledger.service.ILedgerLeaderDutyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class LedgerLeaderDutyServiceImpl extends ServiceImpl<LedgerLeaderDutyMapper, LedgerLeaderDuty>
        implements ILedgerLeaderDutyService {

    @Autowired
    private LedgerLeaderDutyMapper mapper;

    @Override
    public List<LedgerLeaderDuty> selectList(LedgerLeaderDuty query) {
        return mapper.selectList(query);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int batchInsert(List<LedgerLeaderDuty> list) {
        list.forEach(item -> item.setCreateTime(DateUtils.getNowDate()));
        saveBatch(list);
        return list.size();
    }
}
